restinio::http_field_parsers::impl::ows_producer_t Class Reference

A producer for OWS. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::ows_producer_t:

## Public Member Functions

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from) const noexcept

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< restinio::optional_t< char > >
using | result_type = restinio::optional_t< char >
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< restinio::optional_t< char > >
static constexpr entity_type_t | entity_type

## Detailed Description

A producer for OWS.

If an OWS found in the input stream it produces non-empty optional_t<char> with SP as the value.

See: https://tools.ietf.org/html/rfc7230

Since
  v.0.6.1

Definition at line 481 of file basics.hpp.

## Member Function Documentation

## try_parse()

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::http_field_parsers::impl::ows_producer_t::try_parse | ( | source_t & | from | ) | const

inlinenoexcept

Definition at line 486 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp